Vulnerability Name:

CVE-2015-8895

Assigned:2015-05-28
Published:2015-05-28
Updated:2018-05-17
Summary:Integer overflow in coders/icon.c in ImageMagick 6.9.1-3 and later allows remote attackers to cause a denial of service (application crash) via a crafted length value, which triggers a buffer overflow.
CVSS v3 Severity:7.5 High (CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): High
5.5 Medium (CCN CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:R/S:U/C:L/I:L/A:L)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): Low
User Interaction (UI): Required
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): Low
Integrity (I): Low
Availibility (A): Low
CVSS v2 Severity:5.0 Medium (CVSS v2 Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P)
3.7 Low (Temporal CVSS v2 Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P/E:U/RL:OF/RC:C)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (Au): None
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Partial
6.5 Medium (CCN CVSS v2 Vector: AV:N/AC:L/Au:S/C:P/I:P/A:P)
4.8 Medium (CCN Temporal CVSS v2 Vector: AV:N/AC:L/Au:S/C:P/I:P/A:P/E:U/RL:OF/RC:C)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Athentication (Au): Single_Instance
Impact Metrics:Confidentiality (C): Partial
Integrity (I): Partial
Availibility (A): Partial
5.5 Medium (REDHAT CVSS v2 Vector: AV:N/AC:L/Au:S/C:N/I:P/A:P)
4.0 Medium (REDHAT Temporal CVSS v2 Vector: AV:N/AC:L/Au:S/C:N/I:P/A:P/E:U/RL:OF/RC:C)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (Au): Single_Instance
Impact Metrics:Confidentiality (C): None
Integrity (I): Partial
Availibility (A): Partial
Vulnerability Type:CWE-190
References:Source: MLIST
Type: VENDOR_ADVISORY
[oss-security] 20160602 Re: ImageMagick CVEs

Source: CONFIRM
Type: UNKNOWN
http://www.oracle.com/technetwork/topics/security/linuxbulletinapr2016-2952096.html

Source: BID
Type: VENDOR_ADVISORY
91025

Source: REDHAT
Type: UNKNOWN
RHSA-2016:1237

Source: MISC
Type: UNKNOWN
https://bugs.launchpad.net/ubuntu/+source/imagemagick/+bug/1459747

Source: XF
Type: UNKNOWN
imagemagick-cve20158895-bo(114226)

Source: CONFIRM
Type: VENDOR_ADVISORY
https://github.com/ImageMagick/ImageMagick/commit/0f6fc2d5bf8f500820c3dbcf0d23ee14f2d9f734

Vulnerable Configuration:Configuration 1:
  • cpe:/a:imagemagick:imagemagick:6.9.1-3:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.1-4:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.1-5:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.1-6:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.1-7:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.1-8:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.1-9:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.2-0:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.2-1:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.2-2:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.2-3:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.2-4:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.2-5:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.2-6:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.2-7:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.2-8:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.2-9:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.2-10:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.3-0:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.3-1:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.3-2:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.3-3:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.3-4:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.3-5:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.3-6:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.3-7:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.3-8:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.3-9:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:6.9.3-10:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.1-0:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.1-1:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.1-2:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.1-3:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.1-4:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.1-5:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.1-6:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.1-7:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.1-8:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.1-9:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.1-10:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.2-0:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.2-1:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.2-2:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.2-3:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.2-4:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.2-5:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.2-6:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.2-7:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.2-8:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.2-9:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.2-10:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.3-0:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.3-1:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.3-2:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.3-3:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.3-4:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.3-5:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.3-6:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.3-7:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.3-8:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.3-9:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.3-10:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.4-0:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.4-1:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.4-2:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.4-3:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.4-4:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.4-5:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.4-6:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.4-7:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.4-8:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.4-9:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.4-10:*:*:*:*:*:*:*
  • OR cpe:/a:imagemagick:imagemagick:7.0.5-0:*:*:*:*:*:*:*

  • Configuration RedHat 1:
  • cpe:/o:redhat:enterprise_linux:6:*:*:*:*:*:*:*

  • Configuration RedHat 2:
  • cpe:/o:redhat:enterprise_linux:7:*:*:*:*:*:*:*

  • Configuration CCN 1:
  • cpe:/a:imagemagick:imagemagick:5.5.6.0_20030409:*:*:*:*:*:*:*
  • AND
  • cpe:/a:ibm:powerkvm:2.1:*:*:*:*:*:*:*
  • OR cpe:/o:redhat:enterprise_linux_hpc_node_eus:7.2:*:*:*:*:*:*:*
  • OR cpe:/o:redhat:enterprise_linux_server_aus:7.2:*:*:*:*:*:*:*
  • OR cpe:/o:redhat:enterprise_linux_server_eus:7.2:*:*:*:*:*:*:*
  • OR cpe:/o:redhat:enterprise_linux_desktop:6.0:*:*:*:*:*:*:*
  • OR cpe:/o:redhat:enterprise_linux_server:6.0:*:*:*:*:*:*:*
  • OR cpe:/o:redhat:enterprise_linux_workstation:6.0:*:*:*:*:*:*:*

  • Denotes that component is vulnerable
    Oval Definitions
    Definition IDClassTitleLast Modified
    oval:org.opensuse.security:def:20158895
    V
    CVE-2015-8895
    2018-05-25
    oval:com.ubuntu.precise:def:20158895000
    V
    CVE-2015-8895 on Ubuntu 12.04 LTS (precise) - medium.
    2017-03-15
    oval:com.ubuntu.trusty:def:20158895000
    V
    CVE-2015-8895 on Ubuntu 14.04 LTS (trusty) - medium.
    2017-03-15
    oval:com.ubuntu.xenial:def:20158895000
    V
    CVE-2015-8895 on Ubuntu 16.04 LTS (xenial) - medium.
    2017-03-15
    oval:com.redhat.rhsa:def:20161237
    P
    RHSA-2016:1237: ImageMagick security update (Important)
    2016-07-18
    BACK
    imagemagick imagemagick 6.9.1-3
    imagemagick imagemagick 6.9.1-4
    imagemagick imagemagick 6.9.1-5
    imagemagick imagemagick 6.9.1-6
    imagemagick imagemagick 6.9.1-7
    imagemagick imagemagick 6.9.1-8
    imagemagick imagemagick 6.9.1-9
    imagemagick imagemagick 6.9.2-0
    imagemagick imagemagick 6.9.2-1
    imagemagick imagemagick 6.9.2-2
    imagemagick imagemagick 6.9.2-3
    imagemagick imagemagick 6.9.2-4
    imagemagick imagemagick 6.9.2-5
    imagemagick imagemagick 6.9.2-6
    imagemagick imagemagick 6.9.2-7
    imagemagick imagemagick 6.9.2-8
    imagemagick imagemagick 6.9.2-9
    imagemagick imagemagick 6.9.2-10
    imagemagick imagemagick 6.9.3-0
    imagemagick imagemagick 6.9.3-1
    imagemagick imagemagick 6.9.3-2
    imagemagick imagemagick 6.9.3-3
    imagemagick imagemagick 6.9.3-4
    imagemagick imagemagick 6.9.3-5
    imagemagick imagemagick 6.9.3-6
    imagemagick imagemagick 6.9.3-7
    imagemagick imagemagick 6.9.3-8
    imagemagick imagemagick 6.9.3-9
    imagemagick imagemagick 6.9.3-10
    imagemagick imagemagick 7.0.1-0
    imagemagick imagemagick 7.0.1-1
    imagemagick imagemagick 7.0.1-2
    imagemagick imagemagick 7.0.1-3
    imagemagick imagemagick 7.0.1-4
    imagemagick imagemagick 7.0.1-5
    imagemagick imagemagick 7.0.1-6
    imagemagick imagemagick 7.0.1-7
    imagemagick imagemagick 7.0.1-8
    imagemagick imagemagick 7.0.1-9
    imagemagick imagemagick 7.0.1-10
    imagemagick imagemagick 7.0.2-0
    imagemagick imagemagick 7.0.2-1
    imagemagick imagemagick 7.0.2-2
    imagemagick imagemagick 7.0.2-3
    imagemagick imagemagick 7.0.2-4
    imagemagick imagemagick 7.0.2-5
    imagemagick imagemagick 7.0.2-6
    imagemagick imagemagick 7.0.2-7
    imagemagick imagemagick 7.0.2-8
    imagemagick imagemagick 7.0.2-9
    imagemagick imagemagick 7.0.2-10
    imagemagick imagemagick 7.0.3-0
    imagemagick imagemagick 7.0.3-1
    imagemagick imagemagick 7.0.3-2
    imagemagick imagemagick 7.0.3-3
    imagemagick imagemagick 7.0.3-4
    imagemagick imagemagick 7.0.3-5
    imagemagick imagemagick 7.0.3-6
    imagemagick imagemagick 7.0.3-7
    imagemagick imagemagick 7.0.3-8
    imagemagick imagemagick 7.0.3-9
    imagemagick imagemagick 7.0.3-10
    imagemagick imagemagick 7.0.4-0
    imagemagick imagemagick 7.0.4-1
    imagemagick imagemagick 7.0.4-2
    imagemagick imagemagick 7.0.4-3
    imagemagick imagemagick 7.0.4-4
    imagemagick imagemagick 7.0.4-5
    imagemagick imagemagick 7.0.4-6
    imagemagick imagemagick 7.0.4-7
    imagemagick imagemagick 7.0.4-8
    imagemagick imagemagick 7.0.4-9
    imagemagick imagemagick 7.0.4-10
    imagemagick imagemagick 7.0.5-0
    imagemagick imagemagick 5.5.6.0_20030409
    ibm powerkvm 2.1
    redhat enterprise linux hpc node eus 7.2
    redhat enterprise linux server aus 7.2
    redhat enterprise linux server eus 7.2
    redhat enterprise linux desktop 6.0
    redhat enterprise linux server 6.0
    redhat enterprise linux workstation 6.0